Next: Computational routines Up: psb_cd_get_context Get communication context Previous: psb_sp_get_ncols Get Contents

### psb_sp_get_nnzeros -- Get number of nonzero elements in a sparse matrix
Keywords: userhtml

    nr = psb_sp_get_nnzeros(a)

Type:
  Asynchronous.
On Entry
a
  the sparse matrix
  Scope: local
  Type: required
  Intent: in.
  Specified as: a structured data of type spdata`psb_spmat_type`.

On Return
Function value
  The number of nonzero elements stored in sparse matrix `a`.

Notes

1. The function value is specific to the storage format of matrix `a`; some storage formats employ padding, thus the returned value for the same matrix may be different for different storage choices.